
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>商品分类</title>
        <meta content="width=device-width,initial-scale=1.0,maximum-scale=1.0,user-scalable=0" name="viewport"/>
        <meta content="yes" name="apple-mobile-web-app-capable"/>
        <meta content="black" name="apple-mobile-web-app-status-bar-style"/>
        <meta content="telephone=no" name="format-detection"/>
        <link href="../Ryancss/frame1.css" rel="stylesheet" type="text/css"/>
    </head>
    <body>
  <section class="aui-flexView">
            <section class="aui-scrollView">
                <div class="m-scrolltab" data-ydui-scrolltab>
                    <div class="scrolltab-nav">
					
                        <a class="scrolltab-item">
                            <div class="scrolltab-title">为你推荐</div>
                        </a>
                        <a class="scrolltab-item">
                            <div class="scrolltab-title">全网 VIP</div>
                        </a>
					  <!--	<a class="scrolltab-item">
                            <div class="scrolltab-title">直播专题</div>
                        </a>-->
                        <a class="scrolltab-item">
                            <div class="scrolltab-title">T V 直播</div>
                        </a>

                        <a class="scrolltab-item">
                            <div class="scrolltab-title">游戏直播</div>
                        </a>
						
                     <!--   <a class="scrolltab-item">
                            <div class="scrolltab-title">大片推荐</div>
                        </a>-->
						

						<a class="scrolltab-item-division"  > 
							<div class="aui-product"></div> 
						</a>
						
						 <a class="scrolltab-item-ad"  > 
							<div class="aui-product">
								<h2>- - 推广信息 - -</h2>
							</div>
						</a>
						

						
						

						
					<span id ="Category_left_list">
					
					<!--左侧文字广告-->
						<script type="text/x-dot-template" id="Category_left_template">
						
							{{~ it.msg : value : index }}
									<a tapmode onclick="toBanner('{{= value. linkurl }}')" class="scrolltab-item-ad" >
									
										  <div class="scrolltab-title" style=" margin: 0 10px 0 10px; "> {{= value. name }}</div>
					
									</a>
							{{~}}

						</script>
					
                   <!--     <a  tapmode onclick="toArtical()" class="scrolltab-item-ad"> 
                            <div class="scrolltab-title">预留广告位 1 </div> 
                        </a>
					<a  tapmode onclick="toArtical()" class="scrolltab-item-ad"> 
                            <div class="scrolltab-title" style=" margin: 0 10px 0 10px; ">预留123广告位 1 </div> 
                        </a>
					 <a  tapmode onclick="toArtical()" class="scrolltab-item-ad"> 
                            <div class="scrolltab-title"><marquee  behavior = "alternate" scrollamount=1> 一个简单滚动例子 </marquee ></div> 
                        </a>
					--> 
					
					</span>
					
					

                    </div>
                    <div class="scrolltab-content">
                        <div class="scrolltab-content-item">
                            <h2 style="padding-bottom: 15px;padding-top: 10px;"></h2>
                            <div>
                                <div class="aui-ad-head clearfix" id ="Category_top_pic_list">
								
								
									<script type="text/x-dot-template" id="Category_top_pic_template">
									
										{{~ it.msg : value : index }}
												<a tapmode onclick="toBanner('{{= value. linkurl }}')"> 
												
												<img  src="http://app.stb789.cn/{{= value. picurl }}" >	
												 
												</a>
										{{~}}

									</script>

													<!--   <img src="http://app.stb789.cn/{{= value. picurl }}">  --->
													<!--  <img  onerror="this.src='http://img.mp.sohu.com/upload/20170720/278d054eda994279a5e033aae5f8afd8_th.png'" src="http://img.mp.sohu.com/upload/20170720/278d054eda994279a5e033aae5f8afd8_th.png"  data-echo="http://app.stb789.cn/{{= value. picurl }}">	
												  --->
								
									
                                </div>
                                <a class="aui-flex-box" href="javascript:;">
                                    <div class="aui-flex-box-bd">为你推荐</div>
                                    <span  id="Category_right_list">
									
									<script type="text/x-dot-template" id="Category_right_template"> 
									
										{{~ it.msg : value : index }}
										
										<div class="aui-flex-box-fr" tapmode onclick="toBanner('{{= value. linkurl }}')">	{{= value. name }}</div>
					
										{{~}}
									</script>
									
									</span>
                                </a> 
                                <div class="aui-flex-links" id="Category_recommend_list">
								
									<script type="text/x-dot-template" id="Category_recommend_template"> 
									
										{{~ it.msg : value : index }}
										
					                    <a tapmode onclick="toBanner('{{= value. linkurl }}')" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img">
                                            <img src="http://app.stb789.cn/{{= value. picurl }}"> 
                                        </div>
                                        <div class="aui-flex-links-text">{{= value. name }}</div>
                                    </a>
									
									
										{{~}}
									</script>
								<!--
                                    <a href="javascript:;" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img">
                                            <img src="../Ryanimg/frame1/pd-001.jpg" alt=""> 
                                        </div>
                                        <div class="aui-flex-links-text">推荐位</div>
                                    </a>
									
								-->
                                </div>
                            </div>
                        </div>

                        <div class="scrolltab-content-item">
                            <h2>全网 V I P</h2> 
                            <div>

                							
                                <div class="aui-class-ad-img"   id="Category_banner_ad_list">
								
								        	<script type="text/x-dot-template" id="Category_banner_ad_template">
												{{~ it.msg : value : index }}
								
													<a tapmode onclick="toBanner('{{= value. linkurl }}')"> 
														<img src="http://app.stb789.cn/{{= value. picurl }}">
													</a>
												{{~}}
											</script>

                                </div>
								
								<div class="aui-flex-links"   id="Movies_list">
										 
                    <!--              <a  onclick="openLive('{{= value. linkurl }}')" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img-vip">
                                            <img src="http://app.stb789.cn/public/uploads/20190326/d9a0859f4cf733dc2a481c0c75ae3828.png" alt="">
                                        </div>
                                        <div class="aui-flex-links-vlist_Nine-text">{{= value. name }}</div>
                                    </a>
		 -->

        	<script type="text/x-dot-template" id="Movies_template">
		{{~ it.msg : value : index }}

                                  <a  onclick="openMovies('{{= value. linkurl }}')" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img-vip">
                                            <img src="http://app.stb789.cn/{{= value. picurl }}" alt="">
                                        </div>
                                        <div class="aui-flex-links-vlist_Nine-text">{{= value. name }}</div>
                                    </a>
		
		{{~}}
	</script>	
									
                                </div>
                            </div>
                        </div>						
						
						
						
						
						
						<!--

                        <div class="scrolltab-content-item"> 
                            <h2>电视TV直播专题</h2>
                            <div>


                                <div class="aui-flex-links"   id="TvListJh_list">
                                 
									<script type="text/x-dot-template" id="TvListJh_template">
									{{~ it.msg : value : index }}

															  <a  onclick="openTvWin('{{= value. url }}')" class="aui-flex-links-item">
																	<div class="aui-flex-links-img">
																		<img src="http://app.stb789.cn{{= value. img }}" alt="">
																	</div>
																	<div class="aui-flex-links-vlist_Nine-text">{{= value. title }}</div>
																</a>
									
									{{~}}
								</script>	

                                </div>

                            </div>
                        </div>
						
						-->
						
						
						
						
                        <div class="scrolltab-content-item">

						
                            <h2>全球电视TV直播</h2>
                            <div>

<!--
								<div class="aui-class-ad-img-tvjuhe"   id="TvListJh_list">
	
								        	<script type="text/x-dot-template" id="TvListJh_template">
												{{~ it.msg : value : index }}
								
													<a tapmode onclick="openTvWin('{{= value. url }}')">
														<img src="http://app.stb789.cn/{{= value. img }}">
													</a>
												{{~}}
											</script>

                                </div>


-->

                                <div class="aui-class-ad-img"> <!--直播专题集合-->
						
													<a onClick="toTvSpecial()" > 
														<img src="data:image/gif;base64, ">
													</a>
	

                                </div>








                                <div class="aui-flex-links"   id="TvList_list">
                                 
									<script type="text/x-dot-template" id="TvList_template">
									{{~ it.msg : value : index }}

															  <a  onclick="openTv('{{= value. url }}','{{= value. title }}')" class="aui-flex-links-item">
																	<div class="aui-flex-links-img">
																		<img src="http://app.stb789.cn{{= value. img }}" alt="">
																	</div>
																	<div class="aui-flex-links-vlist_Nine-text">{{= value. title }}</div>
																</a>
									
									{{~}}
								</script>	

                                </div>
                            </div>
                        </div>
						
						
						
						
						

                      <!--  <div class="scrolltab-content-item">
                            <h2>美女写真</h2>
                            <div>

                                <div class="aui-flex-links">
                                    <a href="javascript:;" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img">
                                            <img src="../Ryanimg/frame1/pd-001.jpg" alt="">
                                        </div>
                                        <div class="aui-flex-links-text">早春新品</div>
                                    </a>
                                    <a href="javascript:;" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img">
                                            <img src="../Ryanimg/frame1/pd-001.jpg" alt="">
                                        </div>
                                        <div class="aui-flex-links-text">连衣裙</div>
                                    </a>
                                    <a href="javascript:;" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img">
                                            <img src="../Ryanimg/frame1/pd-001.jpg" alt="">
                                        </div>
                                        <div class="aui-flex-links-text">衬衫</div>
                                    </a>
                                    <a href="javascript:;" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img">
                                            <img src="../Ryanimg/frame1/pd-001.jpg" alt="">
                                        </div>
                                        <div class="aui-flex-links-text">T恤</div>
                                    </a>
                                    <a href="javascript:;" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img">
                                            <img src="../Ryanimg/frame1/pd-001.jpg" alt="">
                                        </div>
                                        <div class="aui-flex-links-text">牛仔裤</div>
                                    </a>
                                    <a href="javascript:;" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img">
                                            <img src="../Ryanimg/frame1/pd-001.jpg" alt="">
                                        </div>
                                        <div class="aui-flex-links-text">卫衣</div>
                                    </a>
                                    <a href="javascript:;" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img">
                                            <img src="../Ryanimg/frame1/pd-001.jpg" alt="">
                                        </div>
                                        <div class="aui-flex-links-text">针织衫</div>
                                    </a>
                                    <a href="javascript:;" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img">
                                            <img src="../Ryanimg/frame1/pd-001.jpg" alt="">
                                        </div>
                                        <div class="aui-flex-links-text">牛仔外套</div>
                                    </a>
                                    <a href="javascript:;" class="aui-flex-links-item">
                                        <div class="aui-flex-links-img">
                                            <img src="../Ryanimg/frame1/pd-001.jpg" alt="">
                                        </div>
                                        <div class="aui-flex-links-text">自营女装</div>
                                    </a>
	
									
                                </div>
                            </div>
                        </div>  -->

                        <div class="scrolltab-content-item">
                            <h2>游戏直播</h2>
                            <div>

                                <div class="aui-flex-links" id="Game_list">
       

										<script type="text/x-dot-template" id="Game_template">
										{{~ it : value : index }}

											
									<a onclick="openGameWin('{{= value. id }}')" class="aui-flex-links-item" >
                                        <div class="aui-flex-links-vlist_Nine-img">
                                            <img src="{{= value. img }}" >
                                        </div>
                                        <div class="aui-flex-links-text">{{= value. name }}</div>
                                    </a>

										{{~}}
										</script>





                                </div>
                            </div>
                        </div>
						
						
						
						
												
						<!--
                        <div class="scrolltab-content-item">
                            <h2>近期热门大片</h2>
                            <div>
							





								
								 <div class="aui-flex-links"  id="Vlist_list">

									<script type="text/x-dot-template" id="Vlist_template">
								{{~ it.msg : value : index }}

														  <a  onclick="openWin('{{= value. url }}')" class="aui-flex-links-item">
																<div class="aui-flex-links-vlist_Nine-img">
																	<img src="http://app.stb789.cn{{= value. img }}" alt="">
																</div>
																<div class="aui-flex-links-vlist_Nine-text">{{= value. title }}</div>
															</a>
								
								{{~}}
							</script>	

                                </div>
                            </div>
                        </div>
						 -->
						
						
						
						
						
						
                    </div>
                </div>
            </section>
        </section>
		
    </body>
	
		<script type="text/javascript" src="../Ryanjs/frame1/jquery.min.js"></script>
		<script type="text/javascript" src="../Ryanjs/frame1/scrollTab.js"></script> 
	

	
	
	<script type="text/javascript" src="../script/api.js"></script>
	<script type="text/javascript" src="../script/doT.js"></script>
<script type="text/javascript">
  var api_url = localStorage.getItem('api_url');
  var i = 1;
		/////  初始化执行   S /////
		/////  apiready  一打开就执行的 函数

		apiready = function() {

			GetGameList();   //获取游戏直播
	//		GetVlist(); //获取电影列表
			getTvList(); //获取电视直播列表
	//		getTvListJh(); //获取电视直播列表 集合
			getMovies();  //获取全网影视
			
			getCategory_left();  //获取左侧文字广告

			getCategory_top_pic();  //获取顶部广告图标
			
			getCategory_right();  //获取右侧文字广告
			
			getCategory_recommend();  //获取分类推荐
			
			getCategory_banner_ad();  //获取分类横幅



		}
		/////  初始化执行   E /////

		
			//////////////////////    全网影视图标获取  方法  getMovies  S  //////////////////////
		function getMovies() {
		
			var Movies_list = $api.byId('Movies_list');
			var Movies_template = $api.byId('Movies_template');
			api.ajax({
				url: api_url+'/login/login/getMovies.html', 
				method: 'get',              
				data: {
                  values: {
			key: localStorage.getItem('anq_key'),   //安全码
                  }
              }
			}, function(ret, err) {
				if(ret) {
					//alert( JSON.stringify( ret ) );
					var pagefn = doT.template(Movies_template.text);
					Movies_list.innerHTML = pagefn(ret);
					api.hideProgress();

				} else {
					api.hideProgress();
					//alert( JSON.stringify( err ) );
				}
			});
		}
		
		//////////////////////    全网影视图标获取  方法  getMovies  E  //////////////////////
	
		
		
		
	//////////////////////   获取电影推荐列表  方法   GetVlist    S //////////////////////
		function GetVlist() {

			api.showProgress({
				title: '加载中...',
				modal: false
			});
			var Vlist_list = $api.byId('Vlist_list');
			var Vlist_template = $api.byId('Vlist_template');
			api.ajax({
					url: api_url+'/login/login/vlist_Nine.html', 
				method: 'get',              
				data: {
                  values: {
			key: localStorage.getItem('anq_key'),   //安全码
                  }
              }
			}, function(ret, err) {
				if(ret) {
					//alert( JSON.stringify( ret ) );
					var pagefn = doT.template(Vlist_template.text);
					Vlist_list.innerHTML = pagefn(ret);
					api.hideProgress();

				} else {
					api.hideProgress();
					//alert( JSON.stringify( err ) );
				}
			});

		}
		//////////////////////   获取电影推荐列表  方法   GetVlist    E  //////////////////////




//////////////////////   获取电视TV直播列表  方法   getList    S ////////// 单//////////// 
  function getTvList(){
/*
		 api.showProgress({
			  title: '加载中',
			  modal: false
		 });
	*/
	
	
    var TvList_list = $api.byId('TvList_list');
    var TvList_template = $api.byId('TvList_template');
    api.ajax({
       	url: api_url+'/login/login/tvlist.html',
        method: 'get',              
				data: {
                  values: {
			key: localStorage.getItem('anq_key'),   //安全码
                  }
              }
    },function(ret, err){
        if (ret) {
          //alert( JSON.stringify( ret ) );
          var pagefn = doT.template(TvList_template.text);
          TvList_list.innerHTML = pagefn(ret);
          api.hideProgress();
        } else {
          api.hideProgress();
            //alert( JSON.stringify( err ) );
        }
    });


  }

//////////////////////   获取电视TV直播列表  方法   getList    E //////////////////////


//////////////////////   获取游戏列表  方法   getList    S //////////////////////
  function GetGameList(){
  //  i = 1;
    var Game_list = $api.byId('Game_list');
    var Game_template = $api.byId('Game_template');
    api.ajax({
       	url: api_url+'/api/gamezhibo.php',
        method: 'get',
        data: {
            values: {
                lx: 'hqpt',
                ys:1
            }
        }
    },function(ret, err){
        if (ret) {
            //alert( JSON.stringify( ret ) );
            var pagefn = doT.template(Game_template.text);
            Game_list.innerHTML = pagefn(ret);
         //   showData();
        } else {
            //alert( JSON.stringify( err ) );
        }
    });


  }

//////////////////////   获取游戏列表  方法   getList    E //////////////////////






//////////////////////    打开游戏列表  方法  openGameWin  S  //////////////////////	
  function openGameWin(name){
  
  
    var time = localStorage.getItem('user_time');
    var user_id = localStorage.getItem('user_id');
    var username = localStorage.getItem('user_name');
    var timestamp = Date.parse(new Date())/1000;
    if(user_id<1){
   /*   api.alert({
          title: '温馨提示',
          msg: '请先登陆后使用',
	  */
      api.openWin({    

          name: 'login',
          url: './login.html',
          delay: 300,
	//	    });
					
				bounces: false,
				slidBackEnabled: true,
				bgColor: '#000',
				animation: {
					type: "reveal", //动画类型（详见动画类型常量） 
					subType: "from_right", //动画子类型（详见动画子类型常量）
					duration: 400
				},
				vScrollBarEnabled: false
						
						
      });
      return;

    }

    if (time>timestamp) {
      api.showProgress({
          title: 'VIP登录中...',
          modal: false
      });
      setTimeout("playRadio();",1000);
      var delay = 0;
      if(api.systemType != 'ios'){
          delay = 300;
      }

		api.hideProgress();
                                         var delay = 0;
                                         if(api.systemType != 'ios'){
                                             delay = 300;
                                         }
                                         api.openWin({
                                            name: 'game_zhubo_list_win',
                                            url: 'game_zhubo_list_win.html',
                                             bounces:false,
                                             delay: delay,
                                             slidBackEnabled:true,
                                             vScrollBarEnabled:false,
                                             pageParam:{id:name}
                                         });




    }else if (time == -1) {
      api.showProgress({
          title: 'VIP登录中...',
          modal: false
      });
      setTimeout("playRadio();",2000);
      var delay = 0;
      if(api.systemType != 'ios'){
          delay = 300;
      }
		api.hideProgress();

                                         var delay = 0;
                                         if(api.systemType != 'ios'){
                                             delay = 300;
                                         }
                                         api.openWin({
                                            name: 'game_zhubo_list_win',
                                            url: 'game_zhubo_list_win.html',
                                             bounces:false,
                                             delay: delay,
                                             slidBackEnabled:true,
                                             vScrollBarEnabled:false,
                                             pageParam:{id:name}
                                         });



	}else if (time<timestamp){



			VipExpiredHint();   //会员过期提示
		  
    }

  }



//////////////////////    打开游戏列表 方法  openGameWin  S  //////////////////////	







//////////////////////    分类左侧文字  方法  getCategory_left  S  //////////////////////
		function getCategory_left(){ 
		
			var Category_left_list = $api.byId('Category_left_list');
			var Category_left_template = $api.byId('Category_left_template');
			api.ajax({
				url: api_url+'/login/login/category_left.html',    // 调用数量限制
				method: 'get',              
				data: {
                  values: {
			key: localStorage.getItem('anq_key'),   //安全码
                  }
              }
			}, function(ret, err) {
				if(ret) {
					//alert( JSON.stringify( ret ) );
					var pagefn = doT.template(Category_left_template.text);
					Category_left_list.innerHTML = pagefn(ret);
					api.hideProgress();

				} else {
					api.hideProgress();
					//alert( JSON.stringify( err ) );
				}
			});
		}
		
//////////////////////    分类左侧文字  方法  getCategory_left  E  //////////////////////	



//////////////////////    分类顶部图片  方法  getCategory_top_pic  S  //////////////////////
		function getCategory_top_pic() {
		
			var Category_top_pic_list = $api.byId('Category_top_pic_list');
			var Category_top_pic_template = $api.byId('Category_top_pic_template');
			api.ajax({
				url: api_url+'/login/login/category_top_pic.html',    // 调用数量限制
				method: 'get',              
				data: {
                  values: {
			key: localStorage.getItem('anq_key'),   //安全码
                  }
              }
			}, function(ret, err) {
				if(ret) {
					//alert( JSON.stringify( ret ) );
					var pagefn = doT.template(Category_top_pic_template.text);
					Category_top_pic_list.innerHTML = pagefn(ret);
					
					api.hideProgress();

                      

				} else {
					api.hideProgress();
					//alert( JSON.stringify( err ) );
				}
			});
		}
		
//////////////////////    分类顶部图片  方法  getCategory_top_pic  E  //////////////////////	


//////////////////////    分类右侧文字  方法  getCategory_right  S  //////////////////////
		function getCategory_right() {
		
			var Category_right_list = $api.byId('Category_right_list');
			var Category_right_template = $api.byId('Category_right_template');
			api.ajax({
				url: api_url+'/login/login/category_right.html',    // 调用数量限制
				method: 'get',              
				data: {
                  values: {
			key: localStorage.getItem('anq_key'),   //安全码
                  }
              }
			}, function(ret, err) {
				if(ret) {
					//alert( JSON.stringify( ret ) );
					var pagefn = doT.template(Category_right_template.text);
					Category_right_list.innerHTML = pagefn(ret);
					api.hideProgress();

				} else {
					api.hideProgress();
					//alert( JSON.stringify( err ) );
				}
			});
		}
		
//////////////////////    分类右侧文字  方法  getCategory_right  E  //////////////////////	




//////////////////////    分类推荐  方法  getCategory_recommend  S  //////////////////////
		function getCategory_recommend() {
		
			var Category_recommend_list = $api.byId('Category_recommend_list');
			var Category_recommend_template = $api.byId('Category_recommend_template');
			api.ajax({
				url: api_url+'/login/login/category_recommend.html',    // 调用数量限制
				method: 'get',              
				data: {
                  values: {
			key: localStorage.getItem('anq_key'),   //安全码
                  }
              }
			}, function(ret, err) {
				if(ret) {
					//alert( JSON.stringify( ret ) );
					var pagefn = doT.template(Category_recommend_template.text);
					Category_recommend_list.innerHTML = pagefn(ret);
					api.hideProgress();

				} else {
					api.hideProgress();
					//alert( JSON.stringify( err ) );
				}
			});
		}
		
//////////////////////    分类推荐  方法  getCategory_recommend  E  //////////////////////	



//////////////////////    分类横幅  方法  getCategory_banner_ad  S  //////////////////////
		function getCategory_banner_ad() {
		
			var Category_banner_ad_list = $api.byId('Category_banner_ad_list');
			var Category_banner_ad_template = $api.byId('Category_banner_ad_template');
			api.ajax({
				url: api_url+'/login/login/category_banner_ad.html',    // 调用数量限制
				method: 'get',              
				data: {
                  values: {
			key: localStorage.getItem('anq_key'),   //安全码
                  }
              }
			}, function(ret, err) {
				if(ret) {
					//alert( JSON.stringify( ret ) );
					var pagefn = doT.template(Category_banner_ad_template.text);
					Category_banner_ad_list.innerHTML = pagefn(ret);
					api.hideProgress();

				} else {
					api.hideProgress();
					//alert( JSON.stringify( err ) );
				}
			});
		}
		
//////////////////////    分类推荐  方法  getCategory_banner_ad  E  //////////////////////	




//////////////////////    全网VIP打开  方法  openMovies  S  //////////////////////	
function openMovies(url,jxurl,ping){
  
  
    var time = localStorage.getItem('user_time');
    var user_id = localStorage.getItem('user_id');
    var username = localStorage.getItem('user_name');
    var timestamp = Date.parse(new Date())/1000;
    if(user_id<1){
   /*   api.alert({
          title: '温馨提示',
          msg: '请先登陆后使用',
	  */
      api.openWin({    

          name: 'login',
          url: './login.html',
          delay: 300,
	//	    });
					
											
						
				bounces: false,
				slidBackEnabled: true,
				bgColor: '#000',
				animation: {
					type: "reveal", //动画类型（详见动画类型常量） 
					subType: "from_right", //动画子类型（详见动画子类型常量）
					duration: 400
				},
				vScrollBarEnabled: false
						
						
      });
      return;

    }

    if (time>timestamp) {
      api.showProgress({
          title: 'VIP登录中...',
          modal: false
      });
      setTimeout("playRadio();",1000);
      var delay = 0;
      if(api.systemType != 'ios'){
          delay = 300;
      }
      if (url!='') {
	  
	  
		api.hideProgress();
	  
	  
	  			var tencent_x5 = localStorage.getItem('tencent_x5');  
				var cxurl = url;   
	  
	  				if(tencent_x5.indexOf(cxurl) >= 0 )  {  
						  
					api.openWin({
						name: 'tencent_x5',
						url: './tencent_x5.html',
						delay: 800,
						pageParam:{url:url,jxurl:jxurl,ping:ping},
						bgColor: 'rgba(0,0,0,0)'
					});
					
				}else{
				
				
					api.openWin({
						name: 'video_win',
						url: './video_win.html',
						delay: 800,
						pageParam:{url:url,jxurl:jxurl,ping:ping},
						bgColor: 'rgba(0,0,0,0)'
					});
					
				}
		
      }else {
	  
		api.hideProgress();
		
                    api.toast({
                        msg:'维护中',
						duration: 1000,
						location : 'middle' 
                    })
      }


    }else if (time == -1) {
      api.showProgress({
          title: 'VIP登录中...',
          modal: false
      });
      setTimeout("playRadio();",2000);
      var delay = 0;
      if(api.systemType != 'ios'){
          delay = 300;
      }
      if (url!='') {
	  
	  
	  
		api.hideProgress();
		
		
		  			var tencent_x5 = localStorage.getItem('tencent_x5');  
					var cxurl = url;   
	  
	  				if(tencent_x5.indexOf(cxurl) >= 0 )  {  
						  
					api.openWin({
						name: 'tencent_x5',
						url: './tencent_x5.html',
						delay: 800,
						pageParam:{url:url,jxurl:jxurl,ping:ping},
						bgColor: 'rgba(0,0,0,0)'
					});
					
				}else{
					
		
		
					api.openWin({
						name: 'video_win',
						url: './video_win.html',
						delay: 800,
						pageParam:{url:url,jxurl:jxurl,ping:ping},
						bgColor: 'rgba(0,0,0,0)',
										bounces: false,
							slidBackEnabled: true,
							bgColor: '#000',
							animation: {
								type: "fade", //动画类型（详见动画类型常量） 
								subType: "from_top", //动画子类型（详见动画子类型常量）
							//	duration: 400
							},
							vScrollBarEnabled: false
					});
					
				}	
					
      }else {

					api.hideProgress();
		
                    api.toast({
                        msg:'维护中',
						duration: 1000,
						location : 'middle' 
                    })
      }


    }else if (time<timestamp){



			VipExpiredHint();   //会员过期提示
		  
    }

  }



//////////////////////    全网VIP打开  方法  openMovies  E  //////////////////////	














//////////////////////    TV 集合  方法  toTvSpecial  S  //////////////////////	
function toTvSpecial(){
  
  
    var time = localStorage.getItem('user_time');
    var user_id = localStorage.getItem('user_id');
    var username = localStorage.getItem('user_name');
    var timestamp = Date.parse(new Date())/1000;
    if(user_id<1){
   /*   api.alert({
          title: '温馨提示',
          msg: '请先登陆后使用',
	  */
      api.openWin({    

          name: 'login',
          url: './login.html',
          delay: 300,
	//	    });
					
				bounces: false,
				slidBackEnabled: true,
				bgColor: '#000',
				animation: {
					type: "reveal", //动画类型（详见动画类型常量） 
					subType: "from_right", //动画子类型（详见动画子类型常量）
					duration: 400
				},
				vScrollBarEnabled: false
						
						
      });
      return;

    }

    if (time>timestamp) {
      api.showProgress({
          title: 'VIP登录中...',
          modal: false
      });
      setTimeout("playRadio();",1000);
      var delay = 0;
      if(api.systemType != 'ios'){
          delay = 300;
      }

		api.hideProgress();


					api.openWin({
						name: 'tv_special_win',
						url: 'tv_special_win.html'
					});



    }else if (time == -1) {
      api.showProgress({
          title: 'VIP登录中...',
          modal: false
      });
      setTimeout("playRadio();",2000);
      var delay = 0;
      if(api.systemType != 'ios'){
          delay = 300;
      }
		api.hideProgress();


					api.openWin({
						name: 'tv_special_win',
						url: 'tv_special_win.html'
					});


	}else if (time<timestamp){



			VipExpiredHint();   //会员过期提示
		  
    }

  }



//////////////////////    TV 集合  方法  toTvSpecial  S  //////////////////////	







//////////////////////    全球 TV  方法  openTV  S  //////////////////////	
function openTv(url,name) {
  
  
    var time = localStorage.getItem('user_time');
    var user_id = localStorage.getItem('user_id');
    var username = localStorage.getItem('user_name');
    var timestamp = Date.parse(new Date())/1000;
    if(user_id<1){
   /*   api.alert({
          title: '温馨提示',
          msg: '请先登陆后使用',
	  */
      api.openWin({    

          name: 'login',
          url: './login.html',
          delay: 300,
	//	    });
					
				bounces: false,
				slidBackEnabled: true,
				bgColor: '#000',
				animation: {
					type: "reveal", //动画类型（详见动画类型常量） 
					subType: "from_right", //动画子类型（详见动画子类型常量）
					duration: 400
				},
				vScrollBarEnabled: false
						
						
      });
      return;

    }

    if (time>timestamp) {
      api.showProgress({
          title: 'VIP登录中...',
          modal: false
      });
      setTimeout("playRadio();",1000);
      var delay = 0;
      if(api.systemType != 'ios'){
          delay = 300;
      }

		api.hideProgress();


	                                                                                             var delay = 0;
                                                                                             if(api.systemType != 'ios'){
                                                                                                 delay = 300;
                                                                                             }
                                                                                             api.openWin({
                                                                                                 name: 'video_play_win',
                                                                                                 url: 'video_play_win.html',
                                                                                                 bounces:false,
                                                                                                 delay: delay,
                                                                                                 slidBackEnabled:true,
                                                                                                 vScrollBarEnabled:false,
																								pageParam:{video:url,title:name}
                                                                                            });
 /*     api.addEventListener({
         name:'viewdisappear'
     },function(){
         api.closeWin({
              name:api.winName
         });
     });

*/



    }else if (time == -1) {
      api.showProgress({
          title: 'VIP登录中...',
          modal: false
      });
      setTimeout("playRadio();",2000);
      var delay = 0;
      if(api.systemType != 'ios'){
          delay = 300;
      }
		api.hideProgress();


                                                                                             var delay = 0;
                                                                                             if(api.systemType != 'ios'){
                                                                                                 delay = 300;
                                                                                             }
                                                                                             api.openWin({
                                                                                                 name: 'video_play_win',
                                                                                                 url: 'video_play_win.html',
                                                                                                 bounces:false,
                                                                                                 delay: delay,
                                                                                                 slidBackEnabled:true,
                                                                                                 vScrollBarEnabled:false,
																								pageParam:{video:url,title:name}
                                                                                            });
 /*     api.addEventListener({
         name:'viewdisappear'
     },function(){
         api.closeWin({
              name:api.winName
         });
     });

*/


	}else if (time<timestamp){



			VipExpiredHint();   //会员过期提示
		  
    }

  }



//////////////////////    全球 TV  方法  openTV  S  //////////////////////	










/*
		//////////////////////   打开推荐影片播放页  方法         S //////////////////////
		function openWin(name) {

			////获取数据
			var time = localStorage.getItem('user_time');
			var user_id = localStorage.getItem('user_id');
			var username = localStorage.getItem('user_name');
			var timestamp = Date.parse(new Date()) / 1000;

			///判断是否登录
			if(user_id == 0) {

				api.toast({
					msg: '还没登陆！',
					duration: 1000, 
                location : 'middle' 
				});

				api.openWin({
					name: 'login',
					url: './login.html',
					delay: 300,
											
						
				bounces: false,
				slidBackEnabled: true,
				bgColor: '#000',
				animation: {
					type: "reveal", //动画类型（详见动画类型常量） 
					subType: "from_top", //动画子类型（详见动画子类型常量）
					duration: 400
				},
				vScrollBarEnabled: false
						
					
					
				});
				return;

			}

			//判断是否会员
			if(time > timestamp) {
				//网络连接判断S

				api.ajax({
					url: api_url + '/login/login/banben.html',
					method: 'get'
				}, function(ret, err) {
					if(ret) {

						//网络正常   跳转


						//        setTimeout("playRadio();",1000);
						var delay = 0;
						if(api.systemType != 'ios') {
							delay = 300;
						}
						api.openWin({
							name: 'vplay_win',
							url: 'vplay_win.html',
							bounces: false,
							delay: delay,
							slidBackEnabled: true,
							vScrollBarEnabled: false,
							pageParam: {
								video: name
							}
						});

					} else {

						//网络连接失败 进行提示
							api.toast({
							msg: '网络连接异常',
							duration: 2000,
							location : 'middle' 
							});	
		

					}

				});
				//网络连接判断E

			} else if(time == -1) { //判断是否永久会员
				//网络连接判断S

				api.ajax({
					url: api_url + '/login/login/banben.html',
					method: 'get'
				}, function(ret, err) {
					if(ret) {

						//网络正常   跳转


						//   setTimeout("playRadio();",2000);
						var delay = 0;
						if(api.systemType != 'ios') {
							delay = 300;
						}
						api.openWin({
							name: 'vplay_win',
							url: 'vplay_win.html',
							bounces: false,
							delay: delay,
							slidBackEnabled: true,
							vScrollBarEnabled: false, 
							pageParam: {
								video: name
							}
						});

					} else {

						//网络连接失败 进行提示
							api.toast({
							msg: '网络连接异常',
							duration: 2000,
							location : 'middle' 
							});	
		

					}

				});
				//网络连接判断E

			} else if(time < timestamp) {
				VipExpiredHint(); //会员过期弹窗提示
			}

		}

		//////////////////////   打开推荐影片播放页  方法        E //////////////////////

*/




  function closeWin(){
      api.closeWin({
      });
  }
  
  
  
    function toShezhi(url){


        api.openWin({
            name: 'shezhi_win',
            url: 'shezhi_win.html', 
        });

    }


    function toArtical(url){


        api.openWin({
            name: 'artical_win',
            url: 'artical_win.html', 
        });

    }







  //访问轮播地址
 
  function toBanner(url){

    if (url == '') {

	//如果后台填写的跳转链接为空 则无任何操作

    }else{
	
	
	/*
				var str = url ;

				if(str.indexOf("widget://")>-1){   //如果包含 widget://  则执行内部页面跳转


								var str = url;
								var Internal_jump = str.split("widget://html/").join("");
								console.log(Internal_jump);    // 剔除 widget://html/ 后把结果给 Internal_jump
								
								
					　　		api.openWin({
								name: 'Internal_jump',
								url: Internal_jump
								}); 		

*/

/* 

设置中心  widget://html/shezhi_win.html
我的佣金  widget://html/yongjin_win.html
佣金明细  widget://html/yongjinlog_win.html
私人视频  widget://html/video_secret_win.html
升级会员  widget://html/upgrade_vip_win.html
直播专题  widget://html/tv_special_win.html
我的团队  widget://html/tuandui_win.html
提现记录  widget://html/tixianlog_win.html
邀请好友  widget://html/share_win.html
搜索页面  widget://html/search_win.html
观看记录  widget://html/look_record_win.html
我的积分  widget://html/jifen_win.html
帮助中心  widget://html/help_win.html
我的激活码  widget://html/gokalog_win.html
游戏直播间  widget://html/game_zhubo_list_win.html
公告列表  widget://html/artical_win.html
专属客服  widget://html/setup/customer_service_win.html




*/

				if(url == '设置中心'){
					
					api.openWin({
						name: 'shezhi_win',
						url: 'widget://html/shezhi_win.html',
						delay: 300
					});		

				}else if(url == '我的佣金'){
					
					api.openWin({
						name: 'yongjin_win',
						url: 'widget://html/yongjin_win.html',
						delay: 300
					});		
				}else if(url == '佣金明细'){
					
					api.openWin({
						name: 'yongjinlog_win',
						url: 'widget://html/yongjinlog_win.html',
						delay: 300
					});		
				}else if(url == '私人视频'){
					
					api.openWin({
						name: 'video_secret_win',
						url: 'widget://html/video_secret_win.html',
						delay: 300
					});		
				}else if(url == '升级会员'){
					
					api.openWin({
						name: 'upgrade_vip_win',
						url: 'widget://html/upgrade_vip_win.html',
						delay: 300
					});		
				}else if(url == '直播专题'){
					
					api.openWin({
						name: 'tv_special_win',
						url: 'widget://html/tv_special_win.html',
						delay: 300
					});		
				}else if(url == '我的团队'){
					
					api.openWin({
						name: 'tuandui_win',
						url: 'widget://html/tuandui_win.html',
						delay: 300
					});		
				}else if(url == '提现记录'){
					
					api.openWin({
						name: 'tixianlog_win',
						url: 'widget://html/tixianlog_win.html',
						delay: 300
					});		
				}else if(url == '邀请好友'){
					
					api.openWin({
						name: 'share_win',
						url: 'widget://html/share_win.html',
						delay: 300
					});		
				}else if(url == '搜索页面'){
					
					api.openWin({
						name: 'search_win',
						url: 'widget://html/search_win.html',
						delay: 300
					});		
				}else if(url == '观看记录'){
					
					api.openWin({
						name: 'look_record_win',
						url: 'widget://html/look_record_win.html',
						delay: 300
					});		
				}else if(url == '我的积分'){
					
					api.openWin({
						name: 'jifen_win',
						url: 'widget://html/jifen_win.html',
						delay: 300
					});		
				}else if(url == '帮助中心'){
					
					api.openWin({
						name: 'help_win',
						url: 'widget://html/help_win.html',
						delay: 300
					});		
				}else if(url == '我的激活码'){
					
					api.openWin({
						name: 'gokalog_win',
						url: 'widget://html/gokalog_win.html',
						delay: 300
					});		
				}else if(url == '游戏直播间'){
					
					api.openWin({
						name: 'game_zhubo_list_win',
						url: 'widget://html/game_zhubo_list_win.html',
						delay: 300
					});		
				}else if(url == '公告列表'){
					
					api.openWin({
						name: 'artical_win',
						url: 'widget://html/artical_win.html',
						delay: 300
					});		
				}else if(url == '专属客服'){
					
					api.openWin({
						name: 'customer_service_win',
						url: 'widget://html/setup/customer_service_win.html',
						delay: 300
					});		


				}else{       // 否则执行正常H5页面跳转
				
							//	api.toast({
							//	msg: url
							//	});
			
			
			
			                api.openWin({
                            name: 'h5',
                            url: './h5.html',
                            pageParam: {
                                 url: url
								}
                             });

			
				}
	
			
			
	}
  }






 //  会员过期 弹窗提示
 function VipExpiredHint(){
 
	var dialogBox = api.require('dialogBox');
	dialogBox.alert({
	tapClose:true,			//允许点击遮罩关闭弹窗
    texts: {  
        title: '操作失败',
        content: '您的超级会员已过期',   //调用后台设置内容
        leftBtnTitle: '等下',
        rightBtnTitle: '升级'
    },
    styles: {
			bg: '#fff',
			w: 300,
			corner:10,
			title: {
				marginT: 20,
				icon: 'widget://Ryanimg/frame0/rrrr.png',
				iconSize: 20,
				titleSize: 14,
				titleColor: '#999'
			},
			content: { 
				marginT: 20,       //（可选项）数字类型；内容文本顶端与标题栏底端的距离，如果标题栏不存在，则是到窗口顶端的距离；默认：20
				marginB: 20,       //（可选项）数字类型；内容文本底端与 left/right 顶端的距离，如果 left/right 都不存在，则是到对话框底端的距离；默认：20
				color: '#999',
				size: 14 
			},
			left: {
				marginB: 30,
				marginL: 30,
				w: 100,
				h: 35,
				corner: 2,
				bg: '#eeeeee',
				color: '#999',  //（可选项）字符串类型；右边按钮标题字体颜色，支持rgb、rgba、#；默认：'#007FFF'
				size: 12
			},
			right: {
				marginB: 30,
				marginL: 40,
				w: 100,
				h: 35,
				corner: 2,
				bg: '#ff1679',
				color: '#fff',  //（可选项）字符串类型；右边按钮标题字体颜色，支持rgb、rgba、#；默认：'#007FFF'
				size: 12
			}
			
			
		
		}
	}, function(ret) {
						
																			
					if (ret.eventType == 'left') {
						var dialogBox = api.require('dialogBox');
						dialogBox.close({
							dialogName: 'alert'
						});
					} else if(ret.eventType == 'right') {
																			
						api.openWin({
						name: 'upgrade_vip_win',
						url: './upgrade_vip_win.html',
						delay: 300
					});
																					     
							    
						var dialogBox = api.require('dialogBox');
						dialogBox.close({
						dialogName: 'alert'
						});
																					
					}
				});
 
 }
 








</script>
	
</html>
